# MacMainIf.h File Reference

`#include <CoreServices/CoreServices.h>`

Go to the source code of this file.

## Defines

#define | MACMAINIF_H 1
#define | BEGIN_EXTERN_C
#define | END_EXTERN_C
#define | kEventClassPwlib 'PWLB'
#define | kEventPwlibPProcExit 0

## Typedefs

typedef long(*) | callback_api_c (void *)

## Functions

BEGIN_EXTERN_C long | MacInitialisePWLibEvents (void)
long | MacTeardownPWLibEvents (void)
int | SpawnProcessInContext (callback_api_c trampoline)
long | MacWaitForPProcess (Duration)

## Variables

MPQueueID | pwlibAppQueueID

## Define Documentation

#define BEGIN_EXTERN_C

#define END_EXTERN_C

#define kEventClassPwlib 'PWLB'

#define kEventPwlibPProcExit 0

#define MACMAINIF_H 1

## Typedef Documentation

typedef long(*) callback_api_c(void *)

## Function Documentation

BEGIN_EXTERN_C long MacInitialisePWLibEvents | ( | void |  | ) |

long MacTeardownPWLibEvents | ( | void |  | ) |

long MacWaitForPProcess | ( | Duration |  | ) |

int SpawnProcessInContext | ( | callback_api_c | trampoline | ) |

## Variable Documentation

MPQueueID pwlibAppQueueID